View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000741Ecere SDKidepublic2012-04-12 14:112013-08-07 03:33
Reporterjerome 
Assigned Toredj 
PriorityimmediateSeveritymajorReproducibilityhave not tried
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version0.44.08Fixed in Version0.44.08 
Summary0000741: When selecting a directory in Global Settings, Default keeps going back to IDE's launch directory
DescriptionThis is quite annoying when selecting many library or include paths close to each other.

The current directory should default to the last current directory (The parent of the 'selected' directory)
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0000849)
redj (administrator)
2013-05-23 02:36
edited on: 2013-05-28 21:07

fixed by https://github.com/ecere/sdk/commit/3f400fe052aecb68d6961ad5e53ec2fecd5f5c72 [^]

(0000855)
jerome (administrator)
2013-05-27 18:17

Tweak needed: forget the last component of the last folder that was added.
(0000885)
jerome (administrator)
2013-06-05 20:21

still off
I browse to:

E:\MinGWLibs\xerces-c-src_2_8_0\

and I select 'Projects'
Next time I press F2 on the next line, it brings me to E:\MinGWLibs and xerces-c-src_2_8_0 appears in my EditBox
I would expect to popup in E:\MinGWLibs\xerces-c-src_2_8_0 and have 'nothing' in my edit box
(0000909)
jerome (administrator)
2013-06-18 02:41

Hmm, 0000741 isn't fixed exactly how I'd like it yet :S
1. I do want to drop the last part of the path when browsing to a 'new' path (Both drop from the current folder, and from the 'editBox'), but only the first time relative to the last OK'ed browse
(escape, browse again should not lose another path again)
2. For editing existing entries, I want to drop the last part from the current directory, but have that part show in the edit b
(0000910)
redj (administrator)
2013-06-18 19:57
edited on: 2013-06-19 16:30

fixed by https://github.com/redj/ecere-sdk/commit/5a901ea579fde2a62c2479eea290168a611c5008 [^]


- Issue History
Date Modified Username Field Change
2012-04-12 14:11 jerome New Issue
2012-04-12 14:11 jerome Status new => assigned
2012-04-12 14:11 jerome Assigned To => redj
2013-04-24 20:24 jerome Assigned To redj =>
2013-04-27 06:08 redj Status assigned => new
2013-05-07 02:43 redj Status new => assigned
2013-05-07 02:43 redj Assigned To => redj
2013-05-23 02:36 redj Note Added: 0000849
2013-05-23 02:41 redj Status assigned => resolved
2013-05-23 02:41 redj Fixed in Version => 0.44.1 64
2013-05-23 02:41 redj Resolution open => fixed
2013-05-27 18:17 jerome Note Added: 0000855
2013-05-27 18:17 jerome Status resolved => assigned
2013-05-28 21:06 redj Status assigned => resolved
2013-05-28 21:06 redj Note Added: 0000859
2013-05-28 21:07 redj Note Edited: 0000849
2013-06-05 20:21 jerome Note Added: 0000885
2013-06-05 20:21 jerome Status resolved => assigned
2013-06-17 18:53 redj Status assigned => resolved
2013-06-17 18:53 redj Note Added: 0000901
2013-06-18 02:41 jerome Note Added: 0000909
2013-06-18 02:41 jerome Status resolved => assigned
2013-06-18 19:57 redj Note Deleted: 0000901
2013-06-18 19:57 redj Note Added: 0000910
2013-06-19 16:24 redj Status assigned => resolved
2013-06-19 16:30 redj Note Edited: 0000910
2013-06-19 16:31 redj Note Deleted: 0000859
2013-06-22 02:38 jerome Status resolved => closed
2013-08-07 03:33 jerome Fixed in Version 0.44.10 64 => 0.44.08
2013-08-07 03:33 jerome Target Version 0.44.10 64 => 0.44.08



Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker